#! /usr/local/bin/python

from roboter_C import *

class Roboter_Modell_S(Roboter_Modell_C):
   def __init__(self,welt):
      Roboter.__init__(self,welt)                  

   def vorne_rechts_frei(self):
      self.rechts()
      if self.vorne_frei():
         self.vor()
         self.links()
         zustand=self.vorne_frei()
         self.links()
         self.vor()
         self.rechts()
         return zustand
      else:
         self.links()
         return 0
         
   def vorne_links_frei(self):
      self.links()
      if self.vorne_frei():
         self.vor()
         self.rechts()
         zustand=self.vorne_frei()
         self.rechts()
         self.vor()
         self.links()
         return zustand
      else:
         self.rechts()
         return 0
         
   def Stadion_gefunden(self):
      return self.vorne_links_frei() or self.vorne_rechts_frei()
      

def markiere_dein_Heim():
   mein_Roboter.gib()

def suche_das_Stadion():
   mein_Roboter.vor_bis_Hindernis()
   while not mein_Roboter.Stadion_gefunden():
      mein_Roboter.Linkskurve()
      mein_Roboter.vor_bis_Hindernis()
      if mein_Roboter.Stadion_gefunden():
         break
      else:
         mein_Roboter.Rechtskurve()
         mein_Roboter.vor_bis_Hindernis()

def suche_den_Eingang():
   pass

def drehe_eine_Runde():
   pass

def gehe_nach_Hause():
   pass

meine_Welt=Welt("stadion1.welt")
mein_Roboter=Roboter_Modell_S(meine_Welt)

markiere_dein_Heim()
suche_das_Stadion()
suche_den_Eingang()
drehe_eine_Runde()
gehe_nach_Hause()

Tkinter.mainloop()
